using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FObjSysTest.Server;
using System.Net;
namespace Server_ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {


            var obja = new ObjA();
            var obja_proxy = new FObjSysTest.Server.OBJProxxy.ObjA_OBJProxy(0, 0x12345600, obja);


            obja_proxy.CurrObjSys.Start_Conn_Server(
                new IPEndPoint(IPAddress.Any, 12345), obja_proxy.ID);


            System.Timers.Timer timer = new System.Timers.Timer();
            timer.Interval = 10;
            timer.AutoReset = true;
            timer.Elapsed += Timer_Elapsed;
            timer.Start();

            Console.WriteLine("server --------------------");
            Console.ReadLine();
        }

        static bool mylock;
        private static void Timer_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        {
            if (mylock != true)//不能让它能重入
            {
                mylock = true;
                FObjBase.PollModule.Current.OnPoll();
                mylock = false;
            }
        }
    }    
}
